org.eclipse.emf.cdo.common.revision

## Interface CDORevisionFactory

-     public interface CDORevisionFactory

  Creates `revision` instances.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CDORevisionFactory` | `DEFAULT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDORevision` | `createRevision(EClass eClass)`

- - ### Field Detail

    - #### DEFAULT

          static final CDORevisionFactory DEFAULT

      Since:
        3.0

  - ### Method Detail

    - #### createRevision

          CDORevision createRevision(EClass eClass)

      Since:
        3.0

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html